View Issue Details

IDProjectCategoryLast Update
0020901AI War 2[All Projects] Crash/ExceptionFeb 10, 2019 5:51 pm
ReporterOvalcircleAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.810 Brace for Cross Planet Attack 
Fixed in Version0.813 Tractor Tentacles 
Summary0020901: Ship Icon Bug
DescriptionI started a campaign and this happened. The bug is at the bottom of the log
TagsNo tags attached.

Relationships

related to 0020916 resolvedBadgerBadger Crash in ShipIconImageBase on game start 

Activities

Ovalcircle

Jan 28, 2019 3:59 pm

reporter  

ArcenDebugLog.txt (20,918 bytes)
1/27/2019 10:43:10 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
1/27/2019 10:43:13 PM	No resolution change was required.
1/27/2019 10:43:13 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
1/27/2019 10:43:13 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
1/27/2019 10:44:06 PM	ArcenAssetBundleCache.InstantiatedObjects: 777
1/27/2019 10:44:07 PM	Game Version: 0.810
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
1/27/2019 10:44:07 PM	57.9 seconds total load time.

SetDirectoriesToBeUsed (0.8s)
Calculate FInt Sqrt Arrays (0.5s)
Language.Initialize (1.4s)
PresentationLayer.LoadVisualConstants_Early (0.5s)
LoadFinalSFXStuff (13.9s)
ExternalIconDictionaryTable (1.5s)
ArcenUIPrefabTable (2.4s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
InputActionTypeDataTable (0.3s)
PresentationLayer.LoadVisualConstants_Late (0.4s)
GameSpeedTypeTable (0.3s)
SpaceboxDefinitionTable (1.3s)
PlanetDefinitionTable (4.4s)
GameEntityTypeDataTable.Initialize (4.4s)
GameEntityTypeDataTable.InitVisualBits (20.4s)
SurrogateTableTable (1.3s)
1/27/2019 10:44:08 PM
Hello Steam user 'Ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

1/27/2019 10:44:33 PM	Successfully opened host socket
1/27/2019 10:44:55 PM	Post == null on planet Overmars (20).
menu count: 2  menu:BasicGuardianDrawBag drawbag.16 availitems.16  menu:BasicWaveDisallowedGuardianDrawBag drawbag.2 availitems.2
1/27/2019 11:08:19 PM	PLAYER DISCONNECTED 0.0.0.0=>0
1/27/2019 11:13:14 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
1/27/2019 11:13:14 PM	No resolution change was required.
1/27/2019 11:13:14 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
1/27/2019 11:13:14 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
1/27/2019 11:13:39 PM	ArcenAssetBundleCache.InstantiatedObjects: 777
1/27/2019 11:13:40 PM	Game Version: 0.810
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
1/27/2019 11:13:40 PM	26.5 seconds total load time.

SetDirectoriesToBeUsed (0.6s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (9.4s)
ExternalIconDictionaryTable (0.3s)
ArcenUIPrefabTable (0.3s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
InputActionTypeDataTable (0.3s)
PlanetDefinitionTable (0.8s)
GameEntityTypeDataTable.Initialize (0.8s)
GameEntityTypeDataTable.InitVisualBits (8.8s)
SurrogateTableTable (1.3s)
1/27/2019 11:13:41 PM
Hello Steam user 'Ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

1/27/2019 11:15:54 PM	Successfully opened host socket
1/27/2019 11:16:00 PM	Post == null on planet Overmars (20).
menu count: 2  menu:BasicGuardianDrawBag drawbag.16 availitems.16  menu:BasicWaveDisallowedGuardianDrawBag drawbag.2 availitems.2
1/27/2019 11:22:39 PM	PLAYER DISCONNECTED 0.0.0.0=>0
1/27/2019 11:22:39 PM	Successfully opened host socket
1/27/2019 11:23:57 PM	PLAYER DISCONNECTED 0.0.0.0=>0
1/27/2019 11:28:49 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
1/27/2019 11:28:50 PM	No resolution change was required.
1/27/2019 11:28:50 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
1/27/2019 11:28:50 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
1/27/2019 11:29:20 PM	ArcenAssetBundleCache.InstantiatedObjects: 777
1/27/2019 11:29:21 PM	Game Version: 0.810
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
1/27/2019 11:29:21 PM	33.1 seconds total load time.

SetDirectoriesToBeUsed (0.7s)
Calculate FInt Sqrt Arrays (0.5s)
PresentationLayer.LoadVisualConstants_Early (0.6s)
ExternalCoreConstants (0.3s)
LoadFinalSFXStuff (14.6s)
ExternalIconDictionaryTable (1.4s)
ArcenUIPrefabTable (1.8s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
GameSpeedTypeTable (0.3s)
SpaceboxDefinitionTable (2.1s)
PlanetDefinitionTable (0.5s)
GameEntityTypeDataTable.Initialize (0.8s)
GameEntityTypeDataTable.InitVisualBits (5.0s)
SurrogateTableTable (1.2s)
1/27/2019 11:29:23 PM
Hello Steam user 'Ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

1/27/2019 11:29:49 PM	Successfully opened host socket
1/27/2019 11:30:01 PM	PLAYER DISCONNECTED 0.0.0.0=>0
1/27/2019 11:30:02 PM	Successfully opened host socket
1/27/2019 11:30:10 PM	Post == null on planet Overmars (20).
menu count: 2  menu:BasicGuardianDrawBag drawbag.16 availitems.16  menu:BasicWaveDisallowedGuardianDrawBag drawbag.2 availitems.2
1/27/2019 11:31:40 PM	PLAYER DISCONNECTED 0.0.0.0=>0
1/27/2019 11:31:41 PM	Successfully opened host socket
1/27/2019 11:32:00 PM	Post == null on planet Overmars (20).
menu count: 2  menu:BasicGuardianDrawBag drawbag.16 availitems.16  menu:BasicWaveDisallowedGuardianDrawBag drawbag.2 availitems.2
1/27/2019 11:38:10 PM	PLAYER DISCONNECTED 0.0.0.0=>0
1/27/2019 11:38:10 PM	Successfully opened host socket
1/27/2019 11:38:17 PM	PLAYER DISCONNECTED 0.0.0.0=>0
1/27/2019 11:38:35 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
1/27/2019 11:38:37 PM	No resolution change was required.
1/27/2019 11:38:37 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
1/27/2019 11:38:37 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
1/27/2019 11:39:03 PM	ArcenAssetBundleCache.InstantiatedObjects: 777
1/27/2019 11:39:04 PM	Game Version: 0.810
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
1/27/2019 11:39:04 PM	29.4 seconds total load time.

SetDirectoriesToBeUsed (0.8s)
Calculate FInt Sqrt Arrays (0.5s)
LookupSwapTable (0.5s)
LoadFinalSFXStuff (14.8s)
ExternalIconDictionaryTable (1.4s)
ArcenUIPrefabTable (1.1s)
PlanetDefinitionTable (0.8s)
GameEntityTypeDataTable.Initialize (0.9s)
GameEntityTypeDataTable.InitVisualBits (3.7s)
SurrogateTableTable (0.8s)
1/27/2019 11:39:04 PM
Hello Steam user 'Ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

1/27/2019 11:39:09 PM	Successfully opened host socket
1/27/2019 11:40:32 PM	PLAYER DISCONNECTED 0.0.0.0=>0
1/28/2019 3:34:08 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
1/28/2019 3:34:10 PM	No resolution change was required.
1/28/2019 3:34:10 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
1/28/2019 3:34:10 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
1/28/2019 3:35:03 PM	ArcenAssetBundleCache.InstantiatedObjects: 777
1/28/2019 3:35:04 PM	Game Version: 0.810
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
1/28/2019 3:35:04 PM	56.4 seconds total load time.

SetDirectoriesToBeUsed (0.7s)
Calculate FInt Sqrt Arrays (0.5s)
Language.Initialize (0.7s)
ExternalCoreConstants (0.3s)
LoadFinalSFXStuff (13.4s)
ExternalIconDictionaryTable (1.4s)
ArcenUIPrefabTable (3.4s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
InputActionTypeDataTable (0.7s)
PresentationLayer.LoadVisualConstants_Late (0.4s)
GameSpeedTypeTable (0.4s)
SpaceboxDefinitionTable (1.1s)
PlanetDefinitionTable (3.0s)
GameEntityTypeDataTable.Initialize (1.4s)
GameEntityTypeDataTable.InitVisualBits (24.2s)
SurrogateTableTable (1.5s)
1/28/2019 3:35:06 PM
Hello Steam user 'Ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

1/28/2019 3:39:21 PM	Generate Map with type Snake and seed 503472857
1/28/2019 3:39:21 PM	World Created, Launching Server
1/28/2019 3:39:21 PM	Successfully opened host socket
1/28/2019 3:39:33 PM	Generate Map with type Realistic and seed 503472857
1/28/2019 3:39:33 PM	Generate Map Complete
1/28/2019 3:39:38 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:39:39 PM	Generate Map Complete
1/28/2019 3:39:41 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:39:41 PM	Generate Map Complete
1/28/2019 3:39:45 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:39:45 PM	Generate Map Complete
1/28/2019 3:39:52 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:39:52 PM	Generate Map Complete
1/28/2019 3:39:56 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:39:56 PM	Generate Map Complete
1/28/2019 3:39:59 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:39:59 PM	Generate Map Complete
1/28/2019 3:40:05 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:40:05 PM	Generate Map Complete
1/28/2019 3:40:08 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:40:08 PM	Generate Map Complete
1/28/2019 3:41:26 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:41:27 PM	Generate Map Complete
1/28/2019 3:41:40 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:41:40 PM	Generate Map Complete
1/28/2019 3:41:51 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:41:51 PM	Generate Map Complete
1/28/2019 3:41:54 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:41:54 PM	Generate Map Complete
1/28/2019 3:42:00 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:42:00 PM	Generate Map Complete
1/28/2019 3:46:09 PM	BUG! unknown frenzyGoal
1/28/2019 3:54:59 PM	PLAYER DISCONNECTED 0.0.0.0=>0
1/28/2019 3:54:59 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:54:59 PM	World Created, Launching Server
1/28/2019 3:54:59 PM	Successfully opened host socket
1/28/2019 3:55:04 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:55:04 PM	Generate Map Complete
1/28/2019 3:55:07 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:55:07 PM	Generate Map Complete
1/28/2019 3:55:13 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:55:13 PM	Generate Map Complete
1/28/2019 3:55:21 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:55:21 PM	Generate Map Complete
1/28/2019 3:55:25 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:55:25 PM	Generate Map Complete
1/28/2019 3:55:35 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:55:35 PM	Generate Map Complete
1/28/2019 3:55:37 PM
Exception in ShipIconImageBase.RenderContents at stage 0:System.ArgumentOutOfRangeException: Index was out of range. Must be non-negative and less than the size of the collection.
Parameter name: index
  at System.ThrowHelper.ThrowArgumentOutOfRangeException (System.ExceptionArgument argument, System.ExceptionResource resource) [0x00029] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.ThrowHelper.ThrowArgumentOutOfRangeException () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.AIW2.External.Window_NotificationsDisplay+btnNotification.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup SubImages, Arcen.Universal.SubTextGroup SubTexts) [0x000d7] in <a0a9c5c8aa034a99b8725c689a32e660>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.AIW2.External.Window_NotificationsDisplay+btnNotification.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup SubImages, Arcen.Universal.SubTextGroup SubTexts) [0x00000] in <a0a9c5c8aa034a99b8725c689a32e660>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

1/28/2019 3:55:52 PM	PLAYER DISCONNECTED 0.0.0.0=>0
1/28/2019 3:55:52 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:55:52 PM	World Created, Launching Server
1/28/2019 3:55:53 PM	Successfully opened host socket
1/28/2019 3:55:57 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:55:57 PM	Generate Map Complete
1/28/2019 3:55:59 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:55:59 PM	Generate Map Complete
1/28/2019 3:56:01 PM	Generate Map with type Octopus and seed 503472857
1/28/2019 3:56:01 PM	Generate Map Complete
1/28/2019 3:56:12 PM	PLAYER DISCONNECTED 0.0.0.0=>0
ArcenDebugLog.txt (20,918 bytes)

BadgerBadger

Jan 28, 2019 4:01 pm

manager   ~0050748

Was this at the very beginning of the game? Like "you start the game and this happened immediately"?

For reference, the error is
Exception in ShipIconImageBase.RenderContents at stage 0:System.ArgumentOutOfRangeException: Index was out of range. Must be non-negative and less than the size of the collection.
Parameter name: index
  at System.ThrowHelper.ThrowArgumentOutOfRangeException (System.ExceptionArgument argument, System.ExceptionResource resource) [0x00029] in <f826c2584fc94ec19a48a6576640bdc5>:0
  at System.ThrowHelper.ThrowArgumentOutOfRangeException () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0
  at Arcen.AIW2.External.Window_NotificationsDisplay+btnNotification.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup SubImages, Arcen.Universal.SubTextGroup SubTexts) [0x000d7] in <a0a9c5c8aa034a99b8725c689a32e660>:0

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0
  at Arcen.AIW2.External.Window_NotificationsDisplay+btnNotification.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup SubImages, Arcen.Universal.SubTextGroup SubTexts) [0x00000] in <a0a9c5c8aa034a99b8725c689a32e660>:0
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x00000] in <371fc104c94a4724860239623ea95520>:0
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <371fc104c94a4724860239623ea95520>:0
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <371fc104c94a4724860239623ea95520>:0
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <371fc104c94a4724860239623ea95520>:0
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0

Ovalcircle

Jan 28, 2019 4:06 pm

reporter   ~0050749

Yes. The moment I loaded in, the error popped up.

BadgerBadger

Feb 10, 2019 5:51 pm

manager   ~0050801

I've added some additional defensive code and better error handling as well. If we see this problem again it should be much easier to resolve

Issue History

Date Modified Username Field Change
Jan 28, 2019 3:59 pm Ovalcircle New Issue
Jan 28, 2019 3:59 pm Ovalcircle File Added: ArcenDebugLog.txt
Jan 28, 2019 4:01 pm BadgerBadger Note Added: 0050748
Jan 28, 2019 4:06 pm Ovalcircle Note Added: 0050749
Jan 29, 2019 12:09 am BadgerBadger Assigned To => x4000Bughunter
Jan 29, 2019 12:09 am BadgerBadger Status new => assigned
Feb 8, 2019 11:03 am BadgerBadger Relationship added related to 0020916
Feb 10, 2019 5:50 pm BadgerBadger Assigned To x4000Bughunter => BadgerBadger
Feb 10, 2019 5:51 pm BadgerBadger Status assigned => resolved
Feb 10, 2019 5:51 pm BadgerBadger Resolution open => fixed
Feb 10, 2019 5:51 pm BadgerBadger Fixed in Version => 0.813 Tractor Tentacles
Feb 10, 2019 5:51 pm BadgerBadger Note Added: 0050801